/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.keyword.apio.internal.architect.form;

import com.liferay.apio.architect.form.Form;
import com.liferay.apio.architect.form.Form.Builder;

/**
 * Instances of this class represent the values extracted from a keyword form.
 *
 * @author Alejandro Hernández
 */
public class KeywordForm {

	public static Form<KeywordForm> buildForm(Builder<KeywordForm> builder) {
		return builder.title(
			__ -> "The keyword form"
		).description(
			__ -> "This form can be used to create or update a keyword"
		).constructor(
			KeywordForm::new
		).addRequiredString(
			"name", KeywordForm::_setName
		).build();
	}

	public String getName() {
		return _name;
	}

	private void _setName(String name) {
		_name = name;
	}

	private String _name;

}